<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script runat="server">
  void Page_Load(Object sender, EventArgs e){
    DataSet myDataSet = new DataSet();
    SqlDataAdapter myDataAdapter;

    myDataAdapter = new SqlDataAdapter("SELECT * FROM Customers", "server=localhost;database=Northwind;uid=sa;pwd=;");
    myDataAdapter.Fill(myDataSet, "Customers");

    myDataAdapter.SelectCommand.CommandText = "SELECT * FROM Products";
    myDataAdapter.Fill(myDataSet, "Products");

    myDataGrid.DataSource = myDataSet.Tables;
    myListBox.DataSource = myDataSet.Tables;
    myCheckboxList.DataSource = myDataSet.Tables;
    Page.DataBind();
  }
</script>
<html>
<head>
<title>Programming Datadriven Web Applications with ASP.NET - Chapter 5</title>
</head>
<body>
  <p>
    <b>Binding to a DataGrid</b><br>
    <asp:DataGrid id="myDataGrid" runat="server" />
  </p>
  <p>
    <b>Binding to a ListBox</b><br>
    <asp:ListBox id="myListBox" runat="server" />
  </p>
  <p>
    <b>Binding to a CheckboxList</b><br>
    <asp:CheckboxList id="myCheckboxList" runat="server" />
  </p>
</body>
</html>