<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SQL" %>
<html>
<head>
 <title>Programming Datadriven Web Applications with ASP.NET - Chapter 6</title>
 <script runat="server" language="vb">
  Sub Page_Load(Source As Object, E As EventArgs)
   If Not Page.IsPostBack Then
     BindData()
   End If
  End Sub

  Sub BindData()
   Dim myDataSet As New DataSet
   Dim myDataSetCommand As SQLDataSetCommand
   Dim SqlStmt As String
   Dim ConString As String

   SqlStmt = "SELECT CompanyName, ContactName, ContactTitle, Phone, Fax FROM Customers"
   ConString = "server=localhost;database=Northwind;uid=sa;pwd=;"
   myDataSetCommand = New SQLDataSetCommand(SqlStmt, ConString)
   myDataSetCommand.FillDataSet(myDataSet, "Customers")

   myDataGrid.DataSource = myDataSet.Tables("Customers").DefaultView
   myDataGrid.DataBind()
  End Sub

  Sub PageIndexChanged_OnClick(Source As Object, E As DataGridPageChangedEventArgs)
   BindData()
  End Sub
 </script>
 <style ref="stylesheet" type="text/css">
   .tableItem {font: x-small Verdana, Arial, sans-serif;}
   .tableHeader {font: bold small Arial; color:#663300; background-color:#CCCC66;}
   .alternatingItem {font: x-small Verdana, Arial, sans-serif; background-color:#FFFFCC;}
   A {color:#663300}
   A:hover {color:red}
   .pageLinks {font: bold x-small Verdana, Arial, sans-serif;}
 </style>
</head>
<body>
<form runat="server" method="post">
 <asp:DataGrid runat="server" id="myDataGrid"
  Width="740"
  Cellpadding="4"
  Cellspacing="0"
  Gridlines="Horizontal"
  HorizontalAlign="Center"
  HeaderStyle-CssClass="tableHeader"
  ItemStyle-CssClass="tableItem"
  AlternatingItemStyle-CssClass="alternatingItem"
  AllowPaging="True"
  OnPageIndexChanged="PageIndexChanged_OnClick"
  PageSize="10"
  PagerStyle-CssClass="pageLinks"
  PagerStyle-Mode="NextPrev"
  PagerStyle-NextPageText="Next"
  PagerStyle-PrevPageText="Previous"
  PagerStyle-HorizontalAlign="Center"
  PagerStyle-Position="TopAndBottom"
 />
</form>
</body>
</html>