<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<script runat="server" language="C#" >

 void Page_Load(Object sender, EventArgs e) {

  if (! IsPostBack) {
   rbl_DataBind();
  }

 }

 void rbl_DataBind(){

  SqlConnection SqlCon = new SqlConnection("server=localhost;uid=sa;pwd=;database=northwind");
  SqlCommand SqlCmd = new SqlCommand("SELECT TOP 21 ProductName, ProductID FROM Products", SqlCon);

  SqlCon.Open();
  rbl.DataSource = SqlCmd.ExecuteReader(CommandBehavior.CloseConnection);
  rbl.DataTextField = "ProductName";
  rbl.DataValueField = "ProductID";
  rbl.DataBind();

 }

 void RadioButtonList_SelectedIndexChanged(Object sender, EventArgs e) {

  StringBuilder sb = new StringBuilder("<b><u>Item Selected</u></b><p>");

  int i;
  for(i = 0; i < rbl.Items.Count; i++){

   if(rbl.Items[i].Selected) {

    sb.Append(i);
    sb.Append(" - ");
    sb.Append(rbl.Items[i].Text);
    sb.Append("<br>");

   }

  }

  lCheckBoxList.Text = sb.ToString();

 }

</script>
<html>
 <body>
  <form runat="server">

    <asp:Label
     width="100%"
     runat="server"
     text="<center>Pick Products</center>"
     BackColor="white"
     ForeColor="Navy"
     Font-Bold="true"
     Font-Size="13"
    />

    <asp:RadioButtonList
     runat="server"
     id="rbl"

     CellPadding="4"
     CellSpacing="0"

     RepeatLayout="table"
     RepeatColumns="3"
     RepeatDirection="Vertical"

     AutoPostBack="true"
     OnSelectedIndexChanged="RadioButtonList_SelectedIndexChanged"

     font-size="10"
     BackColor="white"
     ForeColor="Navy"
     Font-Bold="true"
     width="100%"
     BorderWidth="1"
     BorderColor="Navy"
    />

    <p>

    <asp:label
     runat="server"
     id="lCheckBoxList"
     Font-Bold="false"
     Font-Size="8"
     ForeColor="Navy"
     />

</form>
</body>
</html>
