<html>
 <body style="font-size:10">
  <form runat="server">
  <center>
  <H3>Multiple Validation Controls Example</h3>

   <asp:ValidationSummary
    runat="server"
    DisplayMode="BulletList"
    ShowMessageBox="false"
    ShowSummary="True"
    HeaderText="The following fields are missing:"
   />

   <p>

   Beginning Date:
   <asp:textbox
    runat="server"
    id="BeginningDate"
   />

   <asp:RequiredFieldValidator
    runat="server"
    ControlToValidate="BeginningDate"
    ErrorMessage="Beginning Date"
    Display="Dynamic"
   >
    <b>*</b>
   </asp:RequiredFieldValidator>

   <asp:CompareValidator
    runat="server"
    ControlToValidate="BeginningDate"
    ControlToCompare="EndDate"
    Operator="LessThan"
    Type="Date"
    ErrorMessage="You must enter a valid date and the beginning date must be earlier than the ending date."
    Display="Dynamic"
   >
    *
   </asp:CompareValidator>

   Ending Date:
   <asp:textbox
    runat="server"
    id="EndDate"
   />

   <asp:RequiredFieldValidator
    runat="server"
    ControlToValidate="EndDate"
    ErrorMessage="Ending Date"
    Display="Dynamic"
   >
    <b>*</b>
   </asp:RequiredFieldValidator>

   <asp:CompareValidator
    runat="server"
    ControlToValidate="EndDate"
    ControlToCompare="BeginningDate"
    Operator="GreaterThan"
    Type="Date"
    ErrorMessage="You must enter a valid date and the beginning date must be earlier than the ending date."
    Display="Dynamic"
   >
    *
   </asp:CompareValidator>

   <p>

   <asp:Button
    runat="server"
    Text="Submit"
   />

  </center>
  </form>
 </body>
</html>