<%@ import namespace="System.Data" %>
<%@ import namespace="System.Data.SqlClient" %>
<script language="vb" runat="server">
 private sSqlCon as string  = "server=localhost;uid=sa;pwd=;database=northwind"

 public sub Page_Load(sender as Object, e as EventArgs)

   if not IsPostBack then
    Bind()
   end if

 end sub

private sub Bind()

  dim SqlCon as new SqlConnection(sSqlCon)
  dim SqlCmd as new StringBuilder()
   SqlCmd.Append("SELECT ProductName,UnitPrice,")
   SqlCmd.Append("UnitsInStock,UnitsOnOrder,")
   SqlCmd.Append("ProductID FROM Products")
  dim sda as new SqlDataAdapter(SqlCmd.ToString(),SqlCon)
  dim ds as new DataSet()
  sda.Fill(ds,"products")
  DGProducts.DataSource = ds.Tables("Products").DefaultView
  DGProducts.DataBind()

end sub

public sub DGProducts_Edit(sender as Object, e as DataGridCommandEventArgs)

 DGProducts.EditItemIndex = e.Item.ItemIndex
 Bind()

end sub

public sub DGProducts_Cancel(sender as Object, e as DataGridCommandEventArgs)

 DGProducts.EditItemIndex = -1
 Bind()

end sub

public sub DGProducts_Update(sender as Object, e as DataGridCommandEventArgs)

 dim sProductName,sUnitsInStock,sUnitsOnOrder,sProductID as string
  sProductName = CType(e.Item.Cells(1).Controls(0), TextBox).Text
  sUnitsInStock = CType(e.Item.Cells(2).Controls(0), TextBox).Text
  sUnitsOnOrder = CType(e.Item.Cells(3).Controls(0), TextBox).Text
  sProductID = CType(e.Item.Cells(5).Controls(0), TextBox).Text

 dim sSqlCmd as new StringBuilder()
  sSqlCmd.Append("UPDATE Products ")
  sSqlCmd.Append("SET ProductName = @ProductName,")
  sSqlCmd.Append("UnitsInStock = @UnitsInStock,")
  sSqlCmd.Append("UnitsOnOrder = @UnitsOnOrder ")
  sSqlCmd.Append("WHERE ProductID = @ProductID")

 dim SqlCon as new SqlConnection(sSqlCon)
 Dim SqlCmd as new SqlCommand(sSqlCmd.ToString(),SqlCon)
  SqlCmd.Parameters.Add(new SqlParameter("@ProductName", SqlDBType.NVarChar, 40))
  SqlCmd.Parameters("@ProductName").Value = sProductName
  SqlCmd.Parameters.Add(new SqlParameter("@UnitsInStock", SqlDBType.SmallInt))
  SqlCmd.Parameters("@UnitsInStock").Value = sUnitsInStock
  SqlCmd.Parameters.Add(new SqlParameter("@UnitsOnOrder", SqlDBType.SmallInt))
  SqlCmd.Parameters("@UnitsOnOrder").Value = sUnitsOnOrder
  SqlCmd.Parameters.Add(new SqlParameter("@ProductID", SqlDBType.SmallInt))
  SqlCmd.Parameters("@ProductID").Value = sProductID

 SqlCon.Open()
 SqlCmd.ExecuteNonQuery()
 SqlCon.Close()

 DGProducts.EditItemIndex = -1
 Bind()

end sub

</script>
<html>
  <body>
   <head>

    <style rel="stylesheet">
     H3 { font: bold 11pt Verdana, Arial, sans-serif; }
     .products { font: 9pt Verdana, Arial, sans-serif; }
     .productsHead { font: bold 9pt Verdana, Arial, sans-serif;
      background-color:Maroon; color:white; }
     a { text-decoration:none; }
     a:hover { text-decoration:underline; color:maroon; }
   </style>

  </head>
    <form runat="server">
<H3>Northwind Inventory Management</H3>

<asp:DataGrid
 id="DGProducts"
 runat="server"
 Cellpadding="4" Cellspacing="0" Width="750"
 BorderWidth="1" Gridlines="None"
 AlternatingItemStyle-BackColor="Tan"
 HeaderStyle-CssClass="productsHead"
 Font-Size="12"
 AutoGenerateColumns="false"
 OnEditCommand="DGProducts_Edit"
 OnCancelCommand="DGProducts_Cancel"
 OnUpdateCommand="DGProducts_Update"
 >
 <Columns>
 <asp:EditCommandColumn
  ButtonType="LinkButton"
  CancelText="Cancel"
  EditText="Edit"
  UpdateText="Update"
  />
 <asp:BoundColumn DataField="ProductName" HeaderText="Product Name" />
 <asp:BoundColumn DataField="UnitsInStock" HeaderText="Units in Stock" />
 <asp:BoundColumn DataField="UnitsOnOrder" HeaderText="Units on Order" />
 <asp:BoundColumn DataField="UnitPrice" HeaderText="Price Per Unit"
  DataFormatString="{0:C}" ReadOnly="true" />
 <asp:BoundColumn DataField="ProductID"
  HeaderText="ProductID" visible="false"/>
 </columns>
</asp:DataGrid>
  </form>
 </body>
</html>
