<%@ import namespace="System.Data" %>
<%@ import namespace="System.Data.SqlClient" %>
<script language="c#" runat="server">
 private string sSqlCon = "server=localhost;uid=sa;pwd=;database=northwind";

 public void Page_Load(Object sender, EventArgs e){

   if (! IsPostBack){
    Bind();
   }

 }

private void Bind() {

  SqlConnection SqlCon = new SqlConnection(sSqlCon);
  StringBuilder SqlCmd = new StringBuilder();
   SqlCmd.Append("SELECT ProductName,UnitPrice,");
   SqlCmd.Append("UnitsInStock,UnitsOnOrder,");
   SqlCmd.Append("ProductID FROM Products");
  SqlDataAdapter sda = new SqlDataAdapter(SqlCmd.ToString(),SqlCon);
  DataSet ds = new DataSet();
  sda.Fill(ds,"products");
  DLProducts.DataSource = ds.Tables["Products"].DefaultView;
  DLProducts.DataBind();

}

public void DLProducts_ItemCreated(Object sender, DataListItemEventArgs e) {

 if (e.Item.ItemType == ListItemType.Item || e.Item.ItemType == ListItemType.AlternatingItem) {
  int iUnitsInStock = int.Parse(DataBinder.Eval(e.Item.DataItem, "UnitsInStock").ToString());
  if (iUnitsInStock <= 10) {
   ((Label)e.Item.FindControl("lUnitsOnOrder")).ForeColor = System.Drawing.Color.Red;
  }
 }

}

</script>
<html>
  <body>
   <head>

    <style rel="stylesheet">
     H3 { font: bold 11pt Verdana, Arial, sans-serif; }
     .products { font: 9pt Verdana, Arial, sans-serif; }
     .productsHead { font: bold 9pt Verdana, Arial, sans-serif;
      background-color:Maroon; color:white; }
     a { text-decoration:none; }
     a:hover { text-decoration:underline; color:maroon; }
   </style>

  </head>
    <form runat="server">
<center>
 <H3>Northwind Inventory Management - VisualBasic.NET</H3>
</center>
<asp:DataList
 id="DLProducts"
 runat="server"
 Cellpadding="0" Cellspacing="0" Width="750"
 BorderWidth="1" Gridlines="Both"
 AlternatingItemStyle-BackColor="Tan"
 HeaderStyle-CssClass="productsHead"
 Font-Size="12"
 RepeatColumns="1"
 Align="Center"
 OnItemCreated="DLProducts_ItemCreated"
 >
  <ItemTemplate>

   <Table cellpadding="4" cellspacing="0" width="100%">
    <TR>
     <TD ColSpan="2" class="ProductsHead">
      <h3><%# DataBinder.Eval(Container.DataItem, "ProductName") %></b>
     </TD>
    </TR>
    <TR>
     <TD Width="50%" Align="Left">
      <b>Units In Stock</b>
     </TD>
     <TD Width="50%" Align="Right">
      <asp:Label id="lUnitsOnOrder" runat="server"
      Text='<%# DataBinder.Eval(Container.DataItem, "UnitsInStock") %>'
      />
     </TD>
    </TR>
    <TR>
     <TD Width="50%" Align="Left">
      <b>Units On Order</b>
     </TD>
     <TD Width="50%" Align="Right">
      <%# DataBinder.Eval(Container.DataItem, "UnitsOnOrder") %>
     </TD>
    </TR>
    <TR>
     <TD Width="50%" Align="Left">
      <b>Price Per Unit</b>
     </TD>
     <TD Width="50%" Align="Right">
      <%# DataBinder.Eval(Container.DataItem, "UnitPrice", "{0:C}") %>
     </TD>
    </TR>
   </Table>

  </ItemTemplate>

</asp:DataList>
  </form>
 </body>
</html>