<%@ import namespace="System.Data" %>
<%@ import namespace="System.Data.SqlClient" %>
<script language="c#" runat="server">
 private string sSqlCon = "server=localhost;uid=sa;pwd=;database=northwind";

 public void Page_Load(Object sender, EventArgs e){

   if (! IsPostBack){
    Bind();
   }

 }

private void Bind() {

  SqlConnection SqlCon = new SqlConnection(sSqlCon);
  StringBuilder SqlCmd = new StringBuilder();
   SqlCmd.Append("SELECT ProductName,UnitPrice,");
   SqlCmd.Append("UnitsInStock,UnitsOnOrder,");
   SqlCmd.Append("ProductID FROM Products");
  SqlDataAdapter sda = new SqlDataAdapter(SqlCmd.ToString(),SqlCon);
  DataSet ds = new DataSet();
  sda.Fill(ds,"products");
  DLProducts.DataSource = ds.Tables["Products"].DefaultView;
  DLProducts.DataBind();

}

public void DLProducts_ItemCommand(Object sender, DataListCommandEventArgs e) {

 if(e.CommandName == "select") {
  DLProducts.SelectedIndex = e.Item.ItemIndex;
  Bind();
 }

}

</script>
<html>
  <body>
   <head>

    <style rel="stylesheet">
     H3 { font: bold 11pt Verdana, Arial, sans-serif; }
     .products { font: 9pt Verdana, Arial, sans-serif; }
     .productsHead { font: bold 9pt Verdana, Arial, sans-serif;
      background-color:Maroon; color:white; }
     a { text-decoration:none; }
     a:hover { text-decoration:underline; color:maroon; }
   </style>

  </head>
    <form runat="server">
<center>
 <H3>Northwind Inventory Management - VisualBasic.NET</H3>
</center>
<asp:DataList
 id="DLProducts"
 runat="server"
 Cellpadding="0" Cellspacing="0" Width="750"
 BorderWidth="1" Gridlines="Both"
 AlternatingItemStyle-BackColor="Tan"
 HeaderStyle-CssClass="productsHead"
 Font-Size="12"
 RepeatColumns="1"
 Align="Center"
 OnItemCommand="DLProducts_ItemCommand"
 >
  <ItemTemplate>

   <Table cellpadding="4" cellspacing="0" width="100%">
    <TR>
     <TD ColSpan="2" class="ProductsHead">
      <h3><%# DataBinder.Eval(Container.DataItem, "ProductName") %></b>
     </TD>
    </TR>
    <TR>
     <TD Width="50%" Align="Left">
      <b>Units In Stock</b>
     </TD>
     <TD Width="50%" Align="Right">
      <asp:Label id="lUnitsOnOrder" runat="server"
       Text='<%# DataBinder.Eval(Container.DataItem, "UnitsInStock") %>'
      />
     </TD>
    </TR>
    <TR>
     <TD Width="50%" Align="Left">
      <b>Units On Order</b>
     </TD>
     <TD Width="50%" Align="Right">
      <%# DataBinder.Eval(Container.DataItem, "UnitsOnOrder") %>     </TD>
    </TR>
    <TR>
     <TD Width="50%" Align="Left">
      <b>Price Per Unit</b>
     </TD>
     <TD Width="50%" Align="Right">
      <%# DataBinder.Eval(Container.DataItem, "UnitPrice", "{0:C}") %>
     </TD>
    </TR>
    <TR>
     <TD ColSpan="2" Width="100%" Align="Left">
       <asp:LinkButton CommandName="select" Text="Select Item" runat="server" />
     </TD>
     </TR>
   </Table>

  </ItemTemplate>

  <SelectedItemTemplate>
     <Table cellpadding="4" cellspacing="0" width="100%">
      <TR>
       <TD ColSpan="2" Style="color:white;background-color:blue">
        <h3><%# DataBinder.Eval(Container.DataItem, "ProductName") %></b>
       </TD>
      </TR>
      <TR>
       <TD Width="50%" Align="Left">
        <b>Units In Stock</b>
       </TD>
       <TD Width="50%" Align="Right">
        <asp:Label id="lUnitsOnOrder" runat="server"
         Text='<%# DataBinder.Eval(Container.DataItem, "UnitsInStock") %>'
        />
       </TD>
      </TR>
      <TR>
       <TD Width="50%" Align="Left">
        <b>Units On Order</b>
       </TD>
       <TD Width="50%" Align="Right">
        <%# DataBinder.Eval(Container.DataItem, "UnitsOnOrder") %>     </TD>
      </TR>
      <TR>
       <TD Width="50%" Align="Left">
        <b>Price Per Unit</b>
       </TD>
       <TD Width="50%" Align="Right">
        <%# DataBinder.Eval(Container.DataItem, "UnitPrice", "{0:C}") %>
       </TD>
      </TR>
   </Table>

  </SelectedItemTemplate>

</asp:DataList>
  </form>
 </body>
</html>