<%@ import namespace="System.Data" %>
<%@ import namespace="System.Data.SqlClient" %>
<script language="c#" runat="server">
 private string sSqlCon = "server=localhost;uid=sa;pwd=;database=northwind";

 public void Page_Load(Object sender, EventArgs e){

   if (! IsPostBack){
    Bind();
   }

 }

private void Bind() {

  SqlConnection SqlCon = new SqlConnection(sSqlCon);
  StringBuilder SqlCmd = new StringBuilder();
   SqlCmd.Append("SELECT ProductName,UnitPrice,");
   SqlCmd.Append("UnitsInStock,UnitsOnOrder,");
   SqlCmd.Append("ProductID FROM Products");
  SqlDataAdapter sda = new SqlDataAdapter(SqlCmd.ToString(),SqlCon);
  DataSet ds = new DataSet();
  sda.Fill(ds,"products");
  DGProducts.DataSource = ds.Tables["Products"].DefaultView;
  DGProducts.DataBind();

}

public void DGProducts_Edit(Object sender, DataGridCommandEventArgs e) {

 DGProducts.EditItemIndex = e.Item.ItemIndex;
 Bind();

}

public void DGProducts_Cancel(Object sender, DataGridCommandEventArgs e) {

 DGProducts.EditItemIndex = -1;
 Bind();

}

public void DGProducts_Update(Object sender, DataGridCommandEventArgs e) {

 string sProductName,sUnitsInStock,sUnitsOnOrder,sProductID;
  sProductName = ((TextBox)e.Item.Cells[1].Controls[0]).Text;
  sUnitsInStock = ((TextBox)e.Item.Cells[2].Controls[0]).Text;
  sUnitsOnOrder = ((TextBox)e.Item.Cells[3].Controls[0]).Text;
  sProductID = ((TextBox)e.Item.Cells[5].Controls[0]).Text;

 StringBuilder sSqlCmd = new StringBuilder();
  sSqlCmd.Append("UPDATE Products ");
  sSqlCmd.Append("SET ProductName = @ProductName,");
  sSqlCmd.Append("UnitsInStock = @UnitsInStock,");
  sSqlCmd.Append("UnitsOnOrder = @UnitsOnOrder ");
  sSqlCmd.Append("WHERE ProductID = @ProductID");

 SqlConnection SqlCon = new SqlConnection(sSqlCon);
 SqlCommand SqlCmd = new SqlCommand(sSqlCmd.ToString(),SqlCon);
  SqlCmd.Parameters.Add(new SqlParameter("@ProductName", SqlDbType.NVarChar, 40));
  SqlCmd.Parameters["@ProductName"].Value = sProductName;
  SqlCmd.Parameters.Add(new SqlParameter("@UnitsInStock", SqlDbType.SmallInt));
  SqlCmd.Parameters["@UnitsInStock"].Value = sUnitsInStock;
  SqlCmd.Parameters.Add(new SqlParameter("@UnitsOnOrder", SqlDbType.SmallInt));
  SqlCmd.Parameters["@UnitsOnOrder"].Value = sUnitsOnOrder;
  SqlCmd.Parameters.Add(new SqlParameter("@ProductID", SqlDbType.SmallInt));
  SqlCmd.Parameters["@ProductID"].Value = sProductID;

 SqlCon.Open();
 SqlCmd.ExecuteNonQuery();
 SqlCon.Close();

 DGProducts.EditItemIndex = -1;
 Bind();

}

                </script>
        </HEAD>
        <body>
                <style rel="stylesheet">
                        H3 { FONT: bold 11pt Verdana, Arial, sans-serif } .products { FONT: 9pt
                        Verdana, Arial, sans-serif } .productsHead { FONT: bold 9pt Verdana, Arial,
                        sans-serif; COLOR: white; BACKGROUND-COLOR: maroon } A { TEXT-DECORATION: none
                        } A:hover { COLOR: maroon; TEXT-DECORATION: underline }
                </style>
                <form runat="server">
                        <H3>
                                Northwind Inventory Management
                        </H3>
                        <asp:DataGrid id="DGProducts" runat="server" Cellpadding="4" Cellspacing="0" Width="750" BorderWidth="1" Gridlines="None" AlternatingItemStyle-BackColor="Tan" HeaderStyle-CssClass="productsHead" Font-Size="12" AutoGenerateColumns="false" OnEditCommand="DGProducts_Edit" OnCancelCommand="DGProducts_Cancel" OnUpdateCommand="DGProducts_Update">
                                <Columns>
                                        <asp:EditCommandColumn ButtonType="LinkButton" CancelText="Cancel" EditText="Edit" UpdateText="Update" />
                                        <asp:BoundColumn DataField="ProductName" HeaderText="Product Name" />
                                        <asp:BoundColumn DataField="UnitsInStock" HeaderText="Units in Stock" />
                                        <asp:BoundColumn DataField="UnitsOnOrder" HeaderText="Units on Order" />
                                        <asp:BoundColumn DataField="UnitPrice" HeaderText="Price Per Unit" DataFormatString="{0:C}" ReadOnly="true" />
                                        <asp:BoundColumn DataField="ProductID" HeaderText="ProductID" visible="false" />
                                </Columns>
                        </asp:DataGrid>
                </form>
        </body>
</HTML>
