<%@ Page EnableViewState ="false" %>
<%@ import namespace="System.Data" %>
<%@ import namespace="System.Data.SqlClient" %>

<script language="C#" runat="server">

 protected void RejectChanges(Object sender, EventArgs e){

  ((DataSet)Session["WorkingDataSet"]).Tables["Products"].RejectChanges();
  Response.Redirect("listing11.14.aspx");

 }

 protected void Update_Click(Object sender, EventArgs e){

  try {
   SqlDataAdapter SqlDa = (SqlDataAdapter)Session["WorkingDataAdpater"];
   SqlConnection SqlCon = new SqlConnection("server=localhost;uid=sa;pwd=;database=northwind");
   SqlDa.UpdateCommand.Connection = SqlCon;
   SqlDa.InsertCommand.Connection = SqlCon;
   SqlDa.DeleteCommand.Connection = SqlCon;
   SqlDa.Update(((DataSet)Session["WorkingDataSet"]).Tables["Products"]);
   Session.Remove("WorkingDataSet");
   Message.Text = "Changes Successfully Saved <a href='listing11.14.aspx'>Click Here</a> to start again";
   Update.Visible = false;
   Reject.Visible = false;
  } catch (SqlException SqlEx) {
   Message.Text = "The Following Error Occured:<br>" + SqlEx.Message.ToString() + "<p>You may be trying to delete a restricted item!";
  }

 }

 protected void Page_Load(Object sender, EventArgs e){

  DataTable dt = ((DataSet)Session["WorkingDataSet"]).Tables["Products"];

  foreach (DataRow row in dt.Rows) {

   if (row.RowState == DataRowState.Added){

    Added.Items.Add(new ListItem(row["ProductName"].ToString()));

   } else if (row.RowState == DataRowState.Deleted) {

    row.RejectChanges();
    Deleted.Items.Add(new ListItem(row["ProductName"].ToString()));
    row.Delete();

   } else if (row.RowState == DataRowState.Modified) {

    Modified.Items.Add(new ListItem(row["ProductName"].ToString()));

   } else if (row.RowState == DataRowState.Unchanged) {

    Unchanged.Items.Add(new ListItem(row["ProductName"].ToString()));

   }

  }

 }

</script>

<html>
 <body>
  <form runat="server">
    <center>

    <table CellPadding="4" CellSpacing="0" Border="0" Width="500">
     <tr>
      <td Style="font-size:18;background-color:green;color:white;text-align:center">

       Confirm Changes

      </td>
     </tr>
     <tr>
      <td align="center">

       <b>Rows Added</b>
       <br>
       <asp:ListBox runat="server" font-size="10" id="Added" Width="410" />

      </td>
     </tr>
     <tr>
      <td align="center">

       <b>Rows Deleted</b>
       <br>
       <asp:ListBox runat="server" font-size="10" id="Deleted" Width="410" />

      </td>
     </tr>
     <tr>
      <td align="center">

       <b>Rows Modified</b>
       <br>
       <asp:ListBox runat="server" font-size="10" id="Modified" Width="410"      />

      </td>
     </tr>
     <tr>
      <td align="center">

       <b>Rows Unchanged</b>
       <br>
       <asp:ListBox runat="server" font-size="10" id="Unchanged" Width="410" />

      </td>
     </tr>
     <tr>
      <td align="center">

       <asp:Button
        Text="Update Database"
        runat="server" OnClick="Update_Click"
        Width="200" BackColor="green"
        ForeColor="White" Runat="server"
        Font-Bold="true" Border="none" ID="Update" />

       <asp:Button
        Text="Reject Changes and Go Back"
        runat="server" OnClick="RejectChanges"
        Width="200" BackColor="green"
        ForeColor="White" Runat="server"
        Font-Bold="true" Border="none" ID="Reject" />


      </td>
     </tr>
     <tr>
      <td align="Left">

       <asp:Label runat="server" Font-Color="Red" Font-Bold="true" id="Message" />

      </td>
     </tr>
    </table>
   </center>
  </form>
 </body>
</html>