<%@ Import Namespace="System.Xml" %>
<script language="VB" runat=server>
 Protected Sub Page_Load(Sender As Object, E As EventArgs)
  If Not IsPostBack Then
   Dim xmlDoc As XmlDocument = New XmlDocument()
   xmlDoc.Load(Server.MapPath("users.xml"))
   myXml.Document = xmlDoc
  End If
 End Sub

 Protected Sub Submit_Click(Sender As Object, E As EventArgs)
  Dim xmlDoc As XmlDocument = New XmlDocument()
  xmlDoc.Load(Server.MapPath("users.xml"))

  Dim xmlRoot As XmlNode = xmlDoc.DocumentElement

  Dim xmlUser As XmlElement = xmlDoc.CreateElement("User")
  Dim xmlName As XmlElement = xmlDoc.CreateElement("Name")
  Dim xmlEmail As XmlElement = xmlDoc.CreateElement("Email")
  Dim xmlPassword As XmlElement = xmlDoc.CreateElement("Password")

  xmlName.InnerXml = Name.Text
  xmlEmail.InnerXml = Email.Text
  xmlPassword.InnerXml = Password.Text

  xmlUser.AppendChild(xmlName)
  xmlUser.AppendChild(xmlEmail)
  xmlUser.AppendChild(xmlPassword)
  xmlRoot.AppendChild(xmlUser)

  xmlDoc.Save(Server.MapPath("users.xml"))
  xmlDoc.Load(Server.MapPath("users.xml"))
  myXml.Document = xmlDoc
 End Sub
</script>
<html>
<head>
 <title>Programming Datadriven Web Apps - Chapter 12</title>
 <style rel="stylesheet" type="text/css">
  H3 { font: bold 11pt Verdana, Arial, sans-serif;}
  .label { font: bold 9pt Verdana, Arial, sans-serif;}
  .header { font: bold 9pt Verdana, Arial, sans-serif; background-color:tan; color: black;}
  .value { font: 8pt Verdana, Arial, sans-serif;}
 </style>
</head>
<body>
<form runat="server">
<H3>Add a New User</H3>
<table border="0" cellpadding="2" cellspacing="0">
 <tr>
  <td class="label">Name:</td>
  <td><asp:TextBox runat="server" id="Name" Width="200" BorderStyle="Solid" BorderWidth="1" Font-Size="8pt" Font-Name="Verdana" /></td>
 </tr>
 <tr>
  <td class="label">E-Mail:</td>
  <td><asp:TextBox runat="server" id="Email" Width="200" BorderStyle="Solid" BorderWidth="1" Font-Size="8pt" Font-Name="Verdana" /></td>
 </tr>
 <tr>
  <td class="label">Password:</td>
  <td><asp:TextBox runat="server" id="Password" Width="200" BorderStyle="Solid" BorderWidth="1" Font-Size="8pt" Font-Name="Verdana" /></td>
 </tr>
 <tr>
  <td></td>
  <td><asp:Button runat="server" id="Submit" Text="Submit New User" OnClick="Submit_Click" Width="200" BorderStyle="Solid" BorderWidth="1" Font-Size="8pt" Font-Name="Verdana" /></td>
 </tr>
</table>
<H3>Current Users</H3>
<asp:xml id="myXml" runat="server" TransformSource="Users.xsl" />
</form>
</body>
</html>