<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>
 <xsl:template  match="/">
  <style>
   .title  { font: bold 10pt Verdana, Arial; color: black;}
   .description { font: 8pt Verdana, Arial;}
   .header { font: bold 9pt Verdana, Arial; background-color:tan; color: black;}
   .subheader { font: bold 8pt Arial; color: black;}
   .value { font: 8pt Arial;}
  </style>
  <table border="0"  cellspacing="0" cellpadding="4">
   <tr>
    <th class="header">ID</th>
    <th class="header">Product Name</th>
    <th class="header">Qty/Unit</th>
    <th class="header">Unit Price</th>
   </tr>
  <xsl:for-each select='NorthwindInfo/Products'>
    <tr>
     <td class="value" nowrap="true" align="center"><xsl:value-of select='ProductID'/></td>
     <td class="value" nowrap="true"><xsl:value-of select='ProductName'/></td>
     <td class="value" nowrap="true"><xsl:value-of select='QuantityPerUnit'/></td>
     <td class="value" nowrap="true" align="right">$<xsl:value-of select='UnitPrice'/></td>
    </tr>
  </xsl:for-each>
  </table>
 </xsl:template>
</xsl:stylesheet>
