<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Data" %>
<script language="C#" runat="server">

 void Page_Load(Object sender, EventArgs e){

  DataSet XmlDataSet = (DataSet) Cache.Get("XmlDataSetCache");

  if (XmlDataSet == null) {

   Response.Write("<b>Dynamically Created</b><p>");

   DataSet ds = new DataSet();
   FileStream FStream = new FileStream(Server.MapPath("authors.xml"),
    FileMode.Open, FileAccess.Read);
   StreamReader SReader = new StreamReader(FStream);
   ds.ReadXml(SReader);
   FStream.Close();

   dg1.DataSource = ds;
   dg1.DataBind();

   Cache.Insert("XmlDataSetCache", ds,
    new CacheDependency(Server.MapPath("authors.xml")),
    DateTime.Now.AddSeconds(10), TimeSpan.Zero);

  } else {

   Response.Write("<b>From Cache</b><p>");

   dg1.DataSource = XmlDataSet;
   dg1.DataBind();

 }

}

</script>
<html>
<body>
<asp:DataGrid id="dg1" runat="server" font-size="10" />
</body>
</html>
