<%@ OutputCache Duration="160" Location="Server" VaryByParam="num;num2" %>

<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script language="c#" runat="server">

 void Page_Load(Object sender , EventArgs e){

 try {

  NameValueCollection nvc = Request.QueryString;
  StringBuilder sqlCmd = new StringBuilder();
  StringBuilder sQueryStringValues = new StringBuilder();
  int i,ii;
  string[] KeyArray,ValueArray;

//'*** Build string to show query string keys in Label control
  KeyArray = nvc.AllKeys;

  sQueryStringValues.Append("<b>Query string parameter(s):<br>");

  for (i = 0; i < KeyArray.Length; i++){
   sQueryStringValues.Append(KeyArray[i]);
   ValueArray = nvc.GetValues(i);
   for (ii = 0; ii < ValueArray.Length; ii++) {
    sQueryStringValues.Append("=" + ValueArray[ii] + "<br>");
    }
   }

  sQueryStringValues.Append("</b>");

  QueryStringValues.Text = sQueryStringValues.ToString();
//'*** End

//'*** Get data from database based on num value
 if (nvc.GetValues("num")[0] != null){

  DataSet ds = new DataSet();
  SqlConnection sCon = new SqlConnection("server=localhost;" +
    "uid=sa;pwd=;database=northwind");


  sqlCmd.Append("SELECT TOP ");
  sqlCmd.Append(nvc.GetValues("num")[0]);
  sqlCmd.Append(" * FROM Products");

  SqlDataAdapter sda = new SqlDataAdapter(sqlCmd.ToString(),sCon);
  sda.Fill(ds,"Products");

  dg1.DataSource = ds.Tables[0].DefaultView;
  dg1.DataBind();

  }
//'*** End
} catch (NullReferenceException nullEx) {
 ErrorMessage.Text = nullEx.Message;
 }
}

</script>
<html>
<body>

This page was cached at:&nbsp;<b><%=DateTime.Now.ToString("G")%></b>
<br>
<asp:Label id="QueryStringValues" runat="server" />
<p>
<asp:datagrid runat="server" id="dg1" font-size="10" />
<p>
<asp:Label id="ErrorMessage" runat="server" />
</body>
</html>