<%@ OutputCache Duration="160" Location="Server" VaryByCustom="UserProfile" VaryByParam="none" %>

<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script language="c#" runat="server">

 void Page_Load(Object sender, EventArgs e) {

  try {

   UserName.Text = Context.User.Identity.Name;

   StringBuilder sqlCmd = new StringBuilder();
   DataSet ds = new DataSet();
   SqlConnection sCon = new SqlConnection("server=localhost;" +
    "uid=sa;pwd=;database=northwind");

   sqlCmd.Append("SELECT TOP 5");
   sqlCmd.Append(" * FROM Products");

   SqlDataAdapter sda = new SqlDataAdapter(sqlCmd.ToString(),sCon);
   sda.Fill(ds,"Products");

   dg1.DataSource = ds.Tables[0].DefaultView;
   dg1.DataBind();

 } catch (SqlException Sex) {

  ErrorMessage.Text = Sex.Message;

 }

}

public void SignOutNow(Object sender, EventArgs e) {

 FormsAuthentication.SignOut();

}

</script>
<html>
<body>
<form runat="server" >
This page was cached at:&nbsp;<b><%=DateTime.Now.ToString("G")%></b>
<br>
Hello: <asp:Label id="UserName" runat="server" />
<p>
<asp:Button id="SignOut" OnClick="SignOutNow"
 Text="Sign Out" runat="Server" />
<p>
<asp:datagrid runat="server" id="dg1" font-size="10" />
<p>
<asp:Label id="ErrorMessage" runat="server" />
</form>
</body>
</html>