using System;
using System.Data;

namespace Chapter02{
 
 public class C0203{
 
  public DataSet CreateCustomDataSet(){
   DataSet myDataSet = new DataSet();
   DataColumn[] keys = new DataColumn[1];
   
   myDataSet.Tables.Add(new DataTable("Products"));
   myDataSet.Tables["Products"].Columns.Add("ID", System.Type.GetType("System.Int32"));
   myDataSet.Tables["Products"].Columns.Add("Name", System.Type.GetType("System.String"));
   myDataSet.Tables["Products"].Columns.Add("Cost", System.Type.GetType("System.Double")); 
   
   keys[0] = myDataSet.Tables["Products"].Columns["ID"];
   myDataSet.Tables["Products"].PrimaryKey = keys;
   
   DataRow myRow = null;
   myRow = myDataSet.Tables["Products"].NewRow();
   myRow["ID"] = 1;
   myRow["Name"] = "Doug's Doomsday Device";
   myRow["Cost"] = 19.95;
   myDataSet.Tables["Products"].Rows.Add(myRow);

   // Add OrderDetail Table
   myDataSet.Tables.Add(new DataTable("OrderDetail"));
   myDataSet.Tables["OrderDetail"].Columns.Add("ProductID", System.Type.GetType("System.Int32"));
   myDataSet.Tables["OrderDetail"].Columns.Add("Quantity", System.Type.GetType("System.Int32"));
   
   keys[0] = myDataSet.Tables["OrderDetail"].Columns["ProductID"];
   myDataSet.Tables["OrderDetail"].PrimaryKey = keys;
   
   myRow = myDataSet.Tables["OrderDetail"].NewRow();
   myRow["ProductID"] = 1;
   myRow["Quantity"] = 7;
   myDataSet.Tables["OrderDetail"].Rows.Add(myRow);
   
   // Add DataRelations
   myDataSet.Relations.Add("ProductToOrderDetails", myDataSet.Tables["Products"].Columns["ID"], myDataSet.Tables["OrderDetail"].Columns["ProductID"]);


   return myDataSet;
  }
 }
}