<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<script runat="server">
 void Page_Load(Object sender, EventArgs e){
  SqlDataAdapter myDataAdapter;
  DataSet myDataSet = new DataSet();

  myDataAdapter = new SqlDataAdapter("GetCustomersByCountry", "server=localhost; database=Northwind; uid=sa; pwd=;");
  myDataAdapter.SelectCommand.CommandType = CommandType.StoredProcedure;
  myDataAdapter.SelectCommand.Parameters.Add(new SqlParameter("@country", SqlDbType.VarChar, 50));
  myDataAdapter.SelectCommand.Parameters["@country"].Value = "Canada";
  myDataAdapter.Fill(myDataSet, "Canada_Customers");

  myDataAdapter.SelectCommand.Parameters["@country"].Value = "Spain";
  myDataAdapter.Fill(myDataSet, "Spain_Customers");

  myDataGrid.DataSource = myDataSet.Tables["Canada_Customers"];
  myDataGrid.DataBind();

  myOtherDataGrid.DataSource = myDataSet.Tables["Spain_Customers"];
  myOtherDataGrid.DataBind();
 }
</script>
<html>
 <head>
  <title>Chapter 3: Managed Providers in ADO.NET</title>
 </head>
<body>
<form runat="server" method="post">
 <asp:DataGrid runat="server" id="myDataGrid" />
 <asp:DataGrid runat="server" id="myOtherDataGrid" />
</form>
</body>
</html>