<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<script runat="server">
 void Page_Load(Object sender, EventArgs e){
  SqlDataAdapter myDataAdapter;
  DataSet myDataSet = new DataSet();

  myDataAdapter = new SqlDataAdapter("SELECT * FROM Authors", "server=localhost; database=Pubs; uid=sa; pwd=;");

  myDataAdapter.TableMappings.Add("Table", "Authors");

  myDataAdapter.TableMappings["Table"].ColumnMappings.Add("au_id", "ID");
  myDataAdapter.TableMappings["Table"].ColumnMappings.Add("au_lname", "Last Name");
  myDataAdapter.TableMappings["Table"].ColumnMappings.Add("au_fname", "First Name");
  myDataAdapter.TableMappings["Table"].ColumnMappings.Add("phone", "Phone");
  myDataAdapter.TableMappings["Table"].ColumnMappings.Add("address", "Address");
  myDataAdapter.TableMappings["Table"].ColumnMappings.Add("city", "City");
  myDataAdapter.TableMappings["Table"].ColumnMappings.Add("state", "State");
  myDataAdapter.TableMappings["Table"].ColumnMappings.Add("zip", "Zipcode");
  myDataAdapter.TableMappings["Table"].ColumnMappings.Add("contract", "Contract");


  myDataAdapter.Fill(myDataSet);

  myDataGrid.DataSource = myDataSet.Tables["Authors"];
  myDataGrid.DataBind();
 }
</script>
<html>
 <head>
  <title>Chapter 3: Managed Providers in ADO.NET</title>
 </head>
<body>
<form runat="server" method="post">
 <asp:DataGrid runat="server" id="myDataGrid" />
 <asp:DataGrid runat="server" id="myOtherDataGrid" />
</form>
</body>
</html>