<%@ Page Language="VB" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<script runat="server">
 Sub Page_Load(Sender As Object, E As EventArgs)
  Dim myDataAdapter As SqlDataAdapter
  Dim myDataSet As New DataSet

  myDataSet.Tables.Add(New DataTable("Customers"))
  myDataSet.Tables("Customers").Columns.Add("CompanyName", System.Type.GetType("System.String"))
  myDataSet.Tables("Customers").Columns.Add("ContactName", System.Type.GetType("System.String"))
  myDataSet.Tables("Customers").Columns.Add("Region", System.Type.GetType("System.String"))

  myDataAdapter = new SqlDataAdapter("GetCustomersByCountry", "server=localhost; database=Northwind; uid=sa; pwd=;")
  myDataAdapter.SelectCommand.CommandType = CommandType.StoredProcedure
  myDataAdapter.SelectCommand.Parameters.Add(new SqlParameter("@country", SqlDbType.VarChar, 50))
  myDataAdapter.SelectCommand.Parameters("@country").Value = "Canada"
  myDataAdapter.Fill(myDataSet, "Customers")

  myDataAdapter.SelectCommand.Parameters("@country").Value = "Spain"
  myDataAdapter.Fill(myDataSet, "Customers")

  myDataGrid.DataSource = myDataSet.Tables("Customers")
  myDataGrid.DataBind()
 End Sub
</script>
<html>
 <head>
  <title>Chapter 3: Managed Providers in ADO.NET</title>
 </head>
<body>
<form runat="server" method="post">
 <asp:DataGrid runat="server" id="myDataGrid" />
</form>
</body>
</html>