using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;

public class Listing0611 : Page{

  protected DataGrid myDataGrid;
  protected Label SqlStatement;

  protected string SqlStmt = "SELECT CompanyName, ContactName, ContactTitle, Phone, Fax FROM Customers";

  protected void Page_Load(Object sender, EventArgs e){
   if (!Page.IsPostBack){
     BindData();
   }
  }

  protected void BindData(){
   SqlStmt = SqlStmt + SqlStatement.Text;
   DataSet myDataSet = new DataSet();
   SqlDataAdapter myDataAdapter = new SqlDataAdapter(SqlStmt, "server=localhost;database=Northwind;uid=sa;pwd=;");
   myDataAdapter.Fill(myDataSet, "Customers");

   myDataGrid.DataSource = myDataSet.Tables["Customers"];
   myDataGrid.DataBind();
  }

  protected void SortCommand_OnClick(Object sender, DataGridSortCommandEventArgs e){
   SqlStatement.Text = " ORDER BY " + e.SortExpression;
   BindData();
  }
  
  protected void PageIndexChanged_OnClick(Object sender, DataGridPageChangedEventArgs e){
   myDataGrid.CurrentPageIndex = e.NewPageIndex;
   BindData();
  }
  
}