<%@ Page Inherits="Listing0609" Src="06.09.vb" %>
<html>
<head>
 <title>Programming Datadriven Web Applications with ASP.NET - Chapter 6</title>
 <style ref="stylesheet" type="text/css">
   .tableItem {font: x-small Verdana, Arial, sans-serif;}
   .tableHeader {font: bold small Arial; color:#663300; background-color:#CCCC66;}
   .alternatingItem {font: x-small Verdana, Arial, sans-serif; background-color:#FFFFCC;}
   A {color:#663300}
   A:hover {color:red}
   .pageLinks {font: bold x-small Verdana, Arial, sans-serif;}
 </style>
</head>
<body>
<form runat="server" method="post">
 <asp:DataGrid runat="server" id="myDataGrid"
  Width="740"
  Cellpadding="4"
  Cellspacing="0"
  Gridlines="Horizontal"
  HorizontalAlign="Center"
  HeaderStyle-CssClass="tableHeader"
  ItemStyle-CssClass="tableItem"
  AlternatingItemStyle-CssClass="alternatingItem"
  AllowPaging="True"
  AllowCustomPaging="True"
  PageSize="10"
  PagerStyle-Visible="False"
 />
 <center>
 <p class="pageLinks">
 <b>Page
 <asp:Label id="CurrentPage" CssClass="pageLinks" runat="server" />
 of
 <asp:Label id="TotalPages" CssClass="pageLinks" runat="server" />
 </p>
 <asp:LinkButton runat="server" CssClass="pageLinks"
   id="FirstPage" Text="[First Page]"
   OnCommand="NavigationLink_OnClick" CommandName="First" />
 <asp:LinkButton runat="server" CssClass="pageLinks"
   id="PreviousPage" Text="[Previous Page]"
   OnCommand="NavigationLink_OnClick" CommandName="Prev" />
 <asp:LinkButton runat="server" CssClass="pageLinks"
   id="NextPage" Text="[Next Page]"
   OnCommand="NavigationLink_OnClick" CommandName="Next" />
 <asp:LinkButton runat="server" CssClass="pageLinks"
   id="LastPage" Text="[Last Page]"
   OnCommand="NavigationLink_OnClick" CommandName="Last" />
 </center>
</form>
</body>
</html>