<%@ import namespace="System.Data" %>
<%@ import namespace="System.Data.SqlClient" %>
<script language="c#" runat="server">
 private string sSqlCon = "server=localhost;uid=sa;pwd=;database=northwind";

 public void Page_Load(Object sender, EventArgs e){

   if (! IsPostBack){
    Bind();
   }

 }

private void Bind() {

  SqlConnection SqlCon = new SqlConnection(sSqlCon);
  StringBuilder SqlCmd = new StringBuilder();
   SqlCmd.Append("SELECT ProductName,UnitPrice,");
   SqlCmd.Append("UnitsInStock,UnitsOnOrder,");
   SqlCmd.Append("ProductID FROM Products");
  SqlDataAdapter sda = new SqlDataAdapter(SqlCmd.ToString(),SqlCon);
  DataSet ds = new DataSet();
  sda.Fill(ds,"products");
  DLProducts.DataSource = ds.Tables["Products"].DefaultView;
  DLProducts.DataBind();

}

public void DLProducts_Edit(Object sender, DataListCommandEventArgs e) {

 DLProducts.EditItemIndex = e.Item.ItemIndex;
 Bind();

}

public void DLProducts_Cancel(Object sender, DataListCommandEventArgs e) {

 DLProducts.EditItemIndex = -1;
 Bind();

}

public void DLProducts_Update(Object sender, DataListCommandEventArgs e) {

 string sProductName,sUnitsInStock,sUnitsOnOrder,sProductID;
  sProductName = ((TextBox)e.Item.FindControl("tProductName")).Text;
  sUnitsInStock = ((TextBox)e.Item.FindControl("tUnitsInStock")).Text;
  sUnitsOnOrder = ((TextBox)e.Item.FindControl("tUnitsOnOrder")).Text;
  sProductID = ((Label)e.Item.FindControl("lProductID")).Text;

 StringBuilder sSqlCmd = new StringBuilder();
  sSqlCmd.Append("UPDATE Products ");
  sSqlCmd.Append("SET ProductName = @ProductName,");
  sSqlCmd.Append("UnitsInStock = @UnitsInStock,");
  sSqlCmd.Append("UnitsOnOrder = @UnitsOnOrder ");
  sSqlCmd.Append("WHERE ProductID = @ProductID");

 SqlConnection SqlCon = new SqlConnection(sSqlCon);
 SqlCommand SqlCmd = new SqlCommand(sSqlCmd.ToString(),SqlCon);
  SqlCmd.Parameters.Add(new SqlParameter("@ProductName", SqlDbType.NVarChar, 40));
  SqlCmd.Parameters["@ProductName"].Value = sProductName;
  SqlCmd.Parameters.Add(new SqlParameter("@UnitsInStock", SqlDbType.SmallInt));
  SqlCmd.Parameters["@UnitsInStock"].Value = sUnitsInStock;
  SqlCmd.Parameters.Add(new SqlParameter("@UnitsOnOrder", SqlDbType.SmallInt));
  SqlCmd.Parameters["@UnitsOnOrder"].Value = sUnitsOnOrder;
  SqlCmd.Parameters.Add(new SqlParameter("@ProductID", SqlDbType.SmallInt));
  SqlCmd.Parameters["@ProductID"].Value = sProductID;

 SqlCon.Open();
 SqlCmd.ExecuteNonQuery();
 SqlCon.Close();

 DLProducts.EditItemIndex = -1;
 Bind();

}

</script>
<html>
  <body>
   <head>

    <style rel="stylesheet">
     H3 { font: bold 11pt Verdana, Arial, sans-serif; }
     .products { font: 9pt Verdana, Arial, sans-serif; }
     .productsHead { font: bold 9pt Verdana, Arial, sans-serif;
      background-color:Maroon; color:white; }
     a { text-decoration:none; }
     a:hover { text-decoration:underline; color:maroon; }
   </style>

  </head>
    <form runat="server">
<center>
 <H3>Northwind Inventory Management - C#.NET</H3>
</center>
<asp:DataList
 id="DLProducts"
 runat="server"
 Cellpadding="0" Cellspacing="0" Width="750"
 BorderWidth="1" Gridlines="Both"
 AlternatingItemStyle-BackColor="Tan"
 HeaderStyle-CssClass="productsHead"
 Font-Size="12"
 RepeatColumns="1"
 Align="Center"
 OnCancelCommand="DLProducts_Cancel"
 OnEditCommand="DLProducts_Edit"
 OnUpdateCommand="DLProducts_Update"

 >
  <ItemTemplate>

   <Table cellpadding="4" cellspacing="0" width="100%">
    <TR>
     <TD ColSpan="2" class="ProductsHead">
      <h3><%# DataBinder.Eval(Container.DataItem, "ProductName") %></b>
     </TD>
    </TR>
    <TR>
     <TD Width="50%" Align="Left">
      <b>Units In Stock</b>
     </TD>
     <TD Width="50%" Align="Right">
      <%# DataBinder.Eval(Container.DataItem, "UnitsInStock") %>
     </TD>
    </TR>
    <TR>
     <TD Width="50%" Align="Left">
      <b>Units On Order</b>
     </TD>
     <TD Width="50%" Align="Right">
      <%# DataBinder.Eval(Container.DataItem, "UnitsOnOrder") %>
     </TD>
    </TR>
    <TR>
     <TD Width="50%" Align="Left">
      <b>Price Per Unit</b>
     </TD>
     <TD Width="50%" Align="Right">
      <%# DataBinder.Eval(Container.DataItem, "UnitPrice", "{0:C}") %>
     </TD>
    </TR>
    <TR>
     <TD Width="50%" Align="Left">
      <b>Edit This Item</b>
     </TD>
     <TD Width="50%" Align="Right">
      <asp:LinkButton Runat="server" CommandName="edit" Text="Edit" />
     </TD>
    </TR>
   </Table>

  </ItemTemplate>

  <EditItemTemplate>

   <Table cellpadding="4" cellspacing="0" width="100%">
    <TR>
     <TD ColSpan="2" class="ProductsHead">
      <h3><%# DataBinder.Eval(Container.DataItem, "ProductName") %></b>
     </TD>
    </TR>
    <TR>
     <TD Width="50%" Align="Left">
      <b>Product Name</b>
     </TD>
     <TD Width="50%" Align="Right">
      <asp:TextBox id="tProductName" runat="server"
       Text='<%# DataBinder.Eval(Container.DataItem, "ProductName") %>'
       />
     </TD>
    </TR>
    <TR>
     <TD Width="50%" Align="Left">
      <b>Units In Stock</b>
     </TD>
     <TD Width="50%" Align="Right">
      <asp:TextBox id="tUnitsInStock" Runat="server"
       Text='<%# DataBinder.Eval(Container.DataItem, "UnitsInStock") %>'
       />
     </TD>
    </TR>
    <TR>
     <TD Width="50%" Align="Left">
      <b>Units On Order</b>
     </TD>
     <TD Width="50%" Align="Right">
      <asp:TextBox id="tUnitsOnOrder" Runat="server"
       Text='<%# DataBinder.Eval(Container.DataItem, "UnitsOnOrder") %>'
       />
     </TD>
    </TR>
    <TR>
     <TD ColSpan="2">
      <asp:Label id="lProductID" runat="server"
       Text='<%# DataBinder.Eval(Container.DataItem, "ProductID") %>'
       Visible="false"
       />
     </TD>
    </TR>
    <TR>
     <TD Width="50%" Align="Left">
      <b>Edit This Item</b>
     </TD>
     <TD Width="50%" Align="Right">
      <asp:LinkButton Runat="server" CommandName="update" Text="Update" />
      <asp:LinkButton Runat="server" CommandName="cancel" Text="Cancel" />
     </TD>
    </TR>
   </Table>

  </EditItemTemplate>

</asp:DataList>
  </form>
 </body>
</html>