<%@ import namespace="System.Data" %>
<%@ import namespace="System.Data.SqlClient" %>
<script language="c#" runat="server">
 private string sSqlCon = "server=localhost;uid=sa;pwd=;database=northwind";

 public void Page_Load(Object sender, EventArgs e){

   if (! IsPostBack){
    Bind();
   }

 }

private void Bind() {

  SqlConnection SqlCon = new SqlConnection(sSqlCon);
  StringBuilder SqlCmd = new StringBuilder();
   SqlCmd.Append("SELECT ProductName,UnitPrice,");
   SqlCmd.Append("UnitsInStock,UnitsOnOrder,");
   SqlCmd.Append("ProductID FROM Products");
  SqlDataAdapter sda = new SqlDataAdapter(SqlCmd.ToString(),SqlCon);
  DataSet ds = new DataSet();
  sda.Fill(ds,"products");
  DGProducts.DataSource = ds.Tables["Products"].DefaultView;
  DGProducts.DataBind();

}

public void DGProducts_ItemCreated(Object sender, DataGridItemEventArgs e) {

 if (e.Item.ItemType == ListItemType.Item || e.Item.ItemType == ListItemType.AlternatingItem) {
  int iUnitsInStock = int.Parse(DataBinder.Eval(e.Item.DataItem, "UnitsInStock").ToString());
  if (iUnitsInStock <= 10) {
   e.Item.Cells[1].ForeColor = System.Drawing.Color.Red;
   }
  }

 }

</script>
<html>
  <body>
   <head>

    <style rel="stylesheet">
     H3 { font: bold 11pt Verdana, Arial, sans-serif; }
     .products { font: 9pt Verdana, Arial, sans-serif; }
     .productsHead { font: bold 9pt Verdana, Arial, sans-serif;
      background-color:Maroon; color:white; }
     a { text-decoration:none; }
     a:hover { text-decoration:underline; color:maroon; }
   </style>

  </head>
    <form runat="server">
<H3>ItemCreated Example - C#.NET</H3>

<asp:DataGrid
 id="DGProducts"
 runat="server"
 Cellpadding="4" Cellspacing="0" Width="750"
 BorderWidth="1" Gridlines="None"
 AlternatingItemStyle-BackColor="Tan"
 HeaderStyle-CssClass="productsHead"
 Font-Size="12"
 AutoGenerateColumns="false"
 OnItemCreated="DGProducts_ItemCreated"
 >
 <Columns>
 <asp:BoundColumn DataField="ProductName" HeaderText="Product Name" />
 <asp:BoundColumn DataField="UnitsInStock" HeaderText="Units in Stock" />
 <asp:BoundColumn DataField="UnitsOnOrder" HeaderText="Units on Order" />
 <asp:BoundColumn DataField="UnitPrice" HeaderText="Price Per Unit"
  DataFormatString="{0:C}" ReadOnly="true" />
 <asp:BoundColumn DataField="ProductID"
  HeaderText="ProductID" visible="false"/>
 </columns>
</asp:DataGrid>
  </form>
 </body>
</html>