<%@ import namespace="System.Data" %>
<%@ import namespace="System.Data.SqlClient" %>

<script language="c#" runat="server">

 private DataView DTProducts;

 protected void Page_Load(Object sender, EventArgs e){

  Bind();

 }

 private void Bind() {

  SqlConnection SqlCon = new SqlConnection("server=localhost;uid=sa;pwd=;database=northwind");
  StringBuilder SqlCmd = new StringBuilder();
  SqlDataAdapter sda = new SqlDataAdapter("SELECT CompanyName, SupplierID FROM Suppliers",SqlCon);
  DataSet ds = new DataSet();
  sda.Fill(ds,"suppliers");
  sda.SelectCommand = new SqlCommand("SELECT ProductName, ProductID, SupplierID FROM Products", SqlCon);
  sda.Fill(ds, "products");
  DTProducts = ds.Tables["Products"].DefaultView;
  DGProducts.DataSource = ds.Tables["suppliers"];
  DGProducts.DataBind();

 }

 private DataView GetProducts(int SupplierID){

  DTProducts.RowFilter = "SupplierID = " + SupplierID;
  return DTProducts;

 }

</script>
<html>
  <body>
   <head>

    <style rel="stylesheet">
     H3 { font: bold 11pt Verdana, Arial, sans-serif; }
     .products { font: 9pt Verdana, Arial, sans-serif; }
     .productsHead { font: bold 9pt Verdana, Arial, sans-serif;
      background-color:Maroon; color:white; }
     a { text-decoration:none; }
     a:hover { text-decoration:underline; color:maroon; }
   </style>

  </head>
  <center>
    <form runat="server">
     <H3>Products on File</H3>

     <asp:DataGrid
      id="DGProducts"
       runat="server"
       Cellpadding="4" Cellspacing="0"
       BorderWidth="1" Gridlines="None"
       AlternatingItemStyle-BackColor="Tan"
       HeaderStyle-CssClass="productsHead"
       Font-Size="12"
       AutoGenerateColumns="false"
       >
       <Columns>

       <asp:BoundColumn DataField="CompanyName" HeaderText="Company" />

       <asp:TemplateColumn>
       <HeaderTemplate>
        Products
       </HeaderTemplate>
       <ItemTemplate>
        <asp:DropDownList
        id="DDL"
        runat="server"
        Width="200"
        Border="0"
        DataSource='<%# GetProducts((int)DataBinder.Eval(Container.DataItem, "SupplierID")) %>'
        DataTextField="ProductName"
        DataValueField="ProductID" />
      </ItemTemplate>
      </asp:TemplateColumn>

     </columns>
    </asp:DataGrid>
   </form>
  <center>
 </body>
</html>