<%@ import namespace="System.Data" %>
<%@ import namespace="System.Data.SqlClient" %>
<script language="vb" runat="server">
 private sSqlCon as string  = "server=localhost;uid=sa;pwd=;database=northwind"

 public sub Page_Load(sender as Object, e as EventArgs)

   if not IsPostBack then
    Bind()
   end if

 end sub

private sub Bind()

  dim SqlCon as new SqlConnection(sSqlCon)
  dim SqlCmd as new StringBuilder()
   SqlCmd.Append("SELECT ProductName,UnitPrice,")
   SqlCmd.Append("UnitsInStock,UnitsOnOrder,")
   SqlCmd.Append("ProductID FROM Products")
  dim sda as new SqlDataAdapter(SqlCmd.ToString(),SqlCon)
  dim ds as new DataSet()
  sda.Fill(ds,"products")
  DLProducts.DataSource = ds.Tables("Products").DefaultView
  DLProducts.DataBind()

end sub

public sub DLProducts_Edit(sender as Object, e as DataListCommandEventArgs)

 DLProducts.EditItemIndex = e.Item.ItemIndex
 Bind()

end sub

public sub DLProducts_Cancel(sender as Object, e as DataListCommandEventArgs)

 DLProducts.EditItemIndex = -1
 Bind()

end sub

public sub DLProducts_Update(sender as Object, e as DataListCommandEventArgs)

 dim sProductName,sUnitsInStock,sUnitsOnOrder,sProductID as string
  sProductName = CType(e.Item.FindControl("tProductName"), TextBox).Text
  sUnitsInStock = CType(e.Item.FindControl("tUnitsInStock"), TextBox).Text
  sUnitsOnOrder = CType(e.Item.FindControl("tUnitsOnOrder"), TextBox).Text
  sProductID = CType(e.Item.FindControl("lProductID"), Label).Text

 dim sSqlCmd as new StringBuilder()
  sSqlCmd.Append("UPDATE Products ")
  sSqlCmd.Append("SET ProductName = @ProductName,")
  sSqlCmd.Append("UnitsInStock = @UnitsInStock,")
  sSqlCmd.Append("UnitsOnOrder = @UnitsOnOrder ")
  sSqlCmd.Append("WHERE ProductID = @ProductID")

 dim SqlCon as new SqlConnection(sSqlCon)
 Dim SqlCmd as new SqlCommand(sSqlCmd.ToString(),SqlCon)
  SqlCmd.Parameters.Add(new SqlParameter("@ProductName", SqlDbType.NVarChar, 40))
  SqlCmd.Parameters("@ProductName").Value = sProductName
  SqlCmd.Parameters.Add(new SqlParameter("@UnitsInStock", SqlDbType.SmallInt))
  SqlCmd.Parameters("@UnitsInStock").Value = sUnitsInStock
  SqlCmd.Parameters.Add(new SqlParameter("@UnitsOnOrder", SqlDbType.SmallInt))
  SqlCmd.Parameters("@UnitsOnOrder").Value = sUnitsOnOrder
  SqlCmd.Parameters.Add(new SqlParameter("@ProductID", SqlDbType.SmallInt))
  SqlCmd.Parameters("@ProductID").Value = sProductID

 SqlCon.Open()
 SqlCmd.ExecuteNonQuery()
 SqlCon.Close()

 DLProducts.EditItemIndex = -1
 Bind()

end sub

</script>
<html>
  <body>
   <head>

    <style rel="stylesheet">
     H3 { font: bold 11pt Verdana, Arial, sans-serif; }
     .products { font: 9pt Verdana, Arial, sans-serif; }
     .productsHead { font: bold 9pt Verdana, Arial, sans-serif;
      background-color:Maroon; color:white; }
     a { text-decoration:none; }
     a:hover { text-decoration:underline; color:maroon; }
   </style>

  </head>
    <form runat="server">
<center>
 <H3>Northwind Inventory Management - VisualBasic.NET</H3>
</center>
<asp:DataList
 id="DLProducts"
 runat="server"
 Cellpadding="0" Cellspacing="0" Width="750"
 BorderWidth="1" Gridlines="Both"
 AlternatingItemStyle-BackColor="Tan"
 HeaderStyle-CssClass="productsHead"
 Font-Size="12"
 RepeatColumns="1"
 Align="Center"
 OnCancelCommand="DLProducts_Cancel"
 OnEditCommand="DLProducts_Edit"
 OnUpdateCommand="DLProducts_Update"

 >
  <ItemTemplate>

   <Table cellpadding="4" cellspacing="0" width="100%">
    <TR>
     <TD ColSpan="2" class="ProductsHead">
      <h3><%# DataBinder.Eval(Container.DataItem, "ProductName") %></b>
     </TD>
    </TR>
    <TR>
     <TD Width="50%" Align="Left">
      <b>Units In Stock</b>
     </TD>
     <TD Width="50%" Align="Right">
      <%# DataBinder.Eval(Container.DataItem, "UnitsInStock") %>
     </TD>
    </TR>
    <TR>
     <TD Width="50%" Align="Left">
      <b>Units On Order</b>
     </TD>
     <TD Width="50%" Align="Right">
      <%# DataBinder.Eval(Container.DataItem, "UnitsOnOrder") %>
     </TD>
    </TR>
    <TR>
     <TD Width="50%" Align="Left">
      <b>Price Per Unit</b>
     </TD>
     <TD Width="50%" Align="Right">
      <%# DataBinder.Eval(Container.DataItem, "UnitPrice", "{0:C}") %>
     </TD>
    </TR>
    <TR>
     <TD Width="50%" Align="Left">
      <b>Edit This Item</b>
     </TD>
     <TD Width="50%" Align="Right">
      <asp:LinkButton Runat="server" CommandName="edit" Text="Edit" />
     </TD>
    </TR>
   </Table>

  </ItemTemplate>

  <EditItemTemplate>

   <Table cellpadding="4" cellspacing="0" width="100%">
    <TR>
     <TD ColSpan="2" class="ProductsHead">
      <h3><%# DataBinder.Eval(Container.DataItem, "ProductName") %></b>
     </TD>
    </TR>
    <TR>
     <TD Width="50%" Align="Left">
      <b>Product Name</b>
     </TD>
     <TD Width="50%" Align="Right">
      <asp:TextBox id="tProductName" runat="server"
       Text='<%# DataBinder.Eval(Container.DataItem, "ProductName") %>'
       />
     </TD>
    </TR>
    <TR>
     <TD Width="50%" Align="Left">
      <b>Units In Stock</b>
     </TD>
     <TD Width="50%" Align="Right">
      <asp:TextBox id="tUnitsInStock" Runat="server"
       Text='<%# DataBinder.Eval(Container.DataItem, "UnitsInStock") %>'
       />
     </TD>
    </TR>
    <TR>
     <TD Width="50%" Align="Left">
      <b>Units On Order</b>
     </TD>
     <TD Width="50%" Align="Right">
      <asp:TextBox id="tUnitsOnOrder" Runat="server"
       Text='<%# DataBinder.Eval(Container.DataItem, "UnitsOnOrder") %>'
       />
     </TD>
    </TR>
    <TR>
     <TD ColSpan="2">
      <asp:Label id="lProductID" runat="server"
       Text='<%# DataBinder.Eval(Container.DataItem, "ProductID") %>'
       Visible="false"
       />
     </TD>
    </TR>
    <TR>
     <TD Width="50%" Align="Left">
      <b>Edit This Item</b>
     </TD>
     <TD Width="50%" Align="Right">
      <asp:LinkButton Runat="server" CommandName="update" Text="Update" />
      <asp:LinkButton Runat="server" CommandName="cancel" Text="Cancel" />
     </TD>
    </TR>
   </Table>

  </EditItemTemplate>

</asp:DataList>
  </form>
 </body>
</html>