<%@ import namespace="System.Data" %>
<%@ import namespace="System.Data.SqlClient" %>
<script language="vb" runat="server">
 private sSqlCon as string  = "server=localhost;uid=sa;pwd=;database=northwind"

 public sub Page_Load(sender as Object, e as EventArgs)

   if not IsPostBack then
    Bind()
   end if

 end sub

private sub Bind()

  dim SqlCon as new SqlConnection(sSqlCon)
  dim SqlCmd as new StringBuilder()
   SqlCmd.Append("SELECT ProductName,UnitPrice,")
   SqlCmd.Append("UnitsInStock,UnitsOnOrder,")
   SqlCmd.Append("ProductID FROM Products")
  dim sda as new SqlDataAdapter(SqlCmd.ToString(),SqlCon)
  dim ds as new DataSet()
  sda.Fill(ds,"products")
  DGProducts.DataSource = ds.Tables("Products").DefaultView
  DGProducts.DataBind()

end sub

public sub DGProducts_ItemCreated(sender as Object,e as DataGridItemEventArgs)

 if (e.Item.ItemType = ListItemType.Item or e.Item.ItemType = ListItemType.AlternatingItem) then
  dim iUnitsInStock as integer = integer.Parse(DataBinder.Eval(e.Item.DataItem, "UnitsInStock").ToString())
  if (iUnitsInStock <= 10) then
   e.Item.Cells(1).ForeColor = System.Drawing.Color.Red
  end if
 end if

end sub

</script>
<html>
  <body>
   <head>

    <style rel="stylesheet">
     H3 { font: bold 11pt Verdana, Arial, sans-serif; }
     .products { font: 9pt Verdana, Arial, sans-serif; }
     .productsHead { font: bold 9pt Verdana, Arial, sans-serif;
      background-color:Maroon; color:white; }
     a { text-decoration:none; }
     a:hover { text-decoration:underline; color:maroon; }
   </style>

  </head>
    <form runat="server">
<H3>ItemCreated Example - VisualBasic.NET</H3>

<asp:DataGrid
 id="DGProducts"
 runat="server"
 Cellpadding="4" Cellspacing="0" Width="750"
 BorderWidth="1" Gridlines="None"
 AlternatingItemStyle-BackColor="Tan"
 HeaderStyle-CssClass="productsHead"
 Font-Size="12"
 AutoGenerateColumns="false"
 OnItemCreated="DGProducts_ItemCreated"
 >
 <Columns>
 <asp:BoundColumn DataField="ProductName" HeaderText="Product Name" />
 <asp:BoundColumn DataField="UnitsInStock" HeaderText="Units in Stock" />
 <asp:BoundColumn DataField="UnitsOnOrder" HeaderText="Units on Order" />
 <asp:BoundColumn DataField="UnitPrice" HeaderText="Price Per Unit"
  DataFormatString="{0:C}" ReadOnly="true" />
 <asp:BoundColumn DataField="ProductID" HeaderText="ProductID" visible="false"/>
 </columns>
</asp:DataGrid>
  </form>
 </body>
</html>