<%@ Import Namespace="System.Xml" %>
<%@ Import Namespace="System.Xml.Xsl" %>
<script language="C#" runat=server>
 protected void Page_Load(Object sender, EventArgs e){
  if(!IsPostBack){
   XmlDocument xmlDoc = new XmlDocument();
   xmlDoc.Load(Server.MapPath("users.xml"));
   myXml.Document = xmlDoc;
  }

  XslTransform xslTrans = new XslTransform();
  xslTrans.Load(Server.MapPath("users.xsl"));
  myXml.Transform = xslTrans;
 }

 protected void Submit_Click(Object sender, EventArgs e){
  XmlDocument xmlDoc = new XmlDocument();
  xmlDoc.Load(Server.MapPath("users.xml"));

  XmlNode xmlRoot = xmlDoc.DocumentElement;

  XmlElement xmlUser = xmlDoc.CreateElement("User");
  XmlElement xmlName = xmlDoc.CreateElement("Name");
  XmlElement xmlEmail = xmlDoc.CreateElement("Email");
  XmlElement xmlPassword = xmlDoc.CreateElement("Password");

  xmlName.InnerXml = Name.Text;
  xmlEmail.InnerXml = Email.Text;
  xmlPassword.InnerXml = Password.Text;

  xmlUser.AppendChild(xmlName);
  xmlUser.AppendChild(xmlEmail);
  xmlUser.AppendChild(xmlPassword);
  xmlRoot.AppendChild(xmlUser);

  xmlDoc.Save(Server.MapPath("users.xml"));
  xmlDoc.Load(Server.MapPath("users.xml"));
  myXml.Document = xmlDoc;
 }
</script>
<html>
<head>
 <title>Programming Datadriven Web Apps - Chapter 12</title>
 <style rel="stylesheet" type="text/css">
  H3 { font: bold 11pt Verdana, Arial, sans-serif;}
  .label { font: bold 9pt Verdana, Arial, sans-serif;}
  .header { font: bold 9pt Verdana, Arial, sans-serif; background-color:tan; color: black;}
  .value { font: 8pt Verdana, Arial, sans-serif;}
 </style>
</head>
<body>
<form runat="server">
<H3>Add a New User</H3>
<table border="0" cellpadding="2" cellspacing="0">
 <tr>
  <td class="label">Name:</td>
  <td><asp:TextBox runat="server" id="Name" Width="200" BorderStyle="Solid" BorderWidth="1" Font-Size="8pt" Font-Name="Verdana" /></td>
 </tr>
 <tr>
  <td class="label">E-Mail:</td>
  <td><asp:TextBox runat="server" id="Email" Width="200" BorderStyle="Solid" BorderWidth="1" Font-Size="8pt" Font-Name="Verdana" /></td>
 </tr>
 <tr>
  <td class="label">Password:</td>
  <td><asp:TextBox runat="server" id="Password" Width="200" BorderStyle="Solid" BorderWidth="1" Font-Size="8pt" Font-Name="Verdana" /></td>
 </tr>
 <tr>
  <td></td>
  <td><asp:Button runat="server" id="Submit" Text="Submit New User" OnClick="Submit_Click" Width="200" BorderStyle="Solid" BorderWidth="1" Font-Size="8pt" Font-Name="Verdana" /></td>
 </tr>
</table>
<H3>Current Users</H3>
<asp:xml id="myXml" runat="server" />
</form>
</body>
</html>