<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Xml" %>
<script language="VB" runat=server>
 Protected Sub Page_Load(Sender As Object, E As EventArgs)
  Dim myDataSet As New DataSet
  Dim myStreamReader As System.IO.StreamReader = New System.IO.StreamReader(Server.MapPath("users.xml"))
  myDataSet.ReadXml( myStreamReader )
  myStreamReader.Close()

  If IsPostBack Then
   Dim myNewRow As DataRow = myDataSet.Tables(0).NewRow()
   myNewRow("Name") = Name.Text
   myNewRow("Email") = Email.Text
   myNewRow("Password") = Password.Text
   myDataSet.Tables(0).Rows.Add(myNewRow)
   myDataSet.AcceptChanges()
   myDataSet.WriteXml(Server.MapPath("users.xml"), XmlWriteMode.IgnoreSchema)
  End If


  myDataGrid.DataSource = myDataSet.Tables(0).DefaultView
  Page.DataBind()
 End Sub
</script>
<html>
<head>
 <title>Programming Datadriven Web Apps - Chapter 12</title>
 <style rel="stylesheet" type="text/css">
  H3 { font: bold 11pt Verdana, Arial, sans-serif;}
  .label { font: bold 9pt Verdana, Arial, sans-serif;}
  .header { font: bold 9pt Verdana, Arial, sans-serif; background-color:tan; color: black;}
  .value { font: 8pt Verdana, Arial, sans-serif;}
 </style>
</head>
<body>
<form runat="server">
<H3>Add a New User</H3>
<table border="0" cellpadding="2" cellspacing="0">
 <tr>
  <td class="label">Name:</td>
  <td><asp:TextBox runat="server" id="Name" Width="200" BorderStyle="Solid" BorderWidth="1" Font-Size="8pt" Font-Name="Verdana" /></td>
 </tr>
 <tr>
  <td class="label">E-Mail:</td>
  <td><asp:TextBox runat="server" id="Email" Width="200" BorderStyle="Solid" BorderWidth="1" Font-Size="8pt" Font-Name="Verdana" /></td>
 </tr>
 <tr>
  <td class="label">Password:</td>
  <td><asp:TextBox runat="server" id="Password" Width="200" BorderStyle="Solid" BorderWidth="1" Font-Size="8pt" Font-Name="Verdana" /></td>
 </tr>
 <tr>
  <td></td>
  <td><asp:Button runat="server" id="Submit" Text="Submit New User" Width="200" BorderStyle="Solid" BorderWidth="1" Font-Size="8pt" Font-Name="Verdana" /></td>
 </tr>
</table>
<H3>Current Users</H3>
<asp:DataGrid id="myDataGrid" runat="server"
 BorderWidth="0" Cellpadding="2" Cellspacing="0"
 HeaderStyle-CssClass="header" ItemStyle-CssClass="value" />
</form>
</body>
</html>