<%@ Import Namespace="System.IO" %>
<script language="c#" runat="server">

 void SubmitImage(Object sender, EventArgs e) {
  HttpPostedFile UpFile = UP_FILE.PostedFile;
  StringBuilder sMessage = new StringBuilder();

  if (UpFile.ContentLength == 0) {

   sMessage.Append("You must pick a file to upload");

  } else  {
   //File Path
   string FilePath = UpFile.FileName;
    sMessage.Append("<b>File Path:</b>&nbsp;");
    sMessage.Append(FilePath);
    sMessage.Append("<br>");
   //File Name
   string FileName = Path.GetFileName(FilePath);
    sMessage.Append("<b>File Name:</b>&nbsp;");
    sMessage.Append(FileName);
    sMessage.Append("<br>");
   //File Extension
   string FileExtension = Path.GetExtension(FileName);
    sMessage.Append("<b>File Extension:</b>&nbsp;");
    sMessage.Append(FileExtension);
    sMessage.Append("<br>");
   //Content Type
   string ContentInfo = UpFile.ContentType;
    sMessage.Append("<b>Content Type:</b>&nbsp;");
    sMessage.Append(ContentInfo);
    sMessage.Append("<br>");
   //File Size
   string FileSize = UpFile.ContentLength.ToString() + " Bytes";
    sMessage.Append("<b>File Size (in Bytes):</b>&nbsp;");
    sMessage.Append(FileSize);
    sMessage.Append("<br>");
   //Save File Under New Name
   string SaveAsFilePath;
   //If it is a gif save to images/jpg directory
   if (FileExtension == ".jpg") {

    SaveAsFilePath = Server.MapPath("images/jpg") + "\\WhateverWhenever" + FileExtension;
    UpFile.SaveAs(SaveAsFilePath);

   //If it is a jpg save to images/gif directory
   } else if (FileExtension == ".gif") {

    SaveAsFilePath = Server.MapPath("images/gif") + "\\WhateverWhenever" + FileExtension;
    UpFile.SaveAs(SaveAsFilePath);

   } else {

    SaveAsFilePath = Server.MapPath("images") + "\\WhateverWhenever" + FileExtension;
    UpFile.SaveAs(SaveAsFilePath);

   }

   //New File path
    sMessage.Append("<b>SaveAs File Path:</b>&nbsp;");
    sMessage.Append(SaveAsFilePath);
    sMessage.Append("<br>");
   //Show saved image in image control
    sMessage.Append("<b>Uploaded Image:</b>&nbsp;");
    sMessage.Append("<br>");
    sMessage.Append("<img src='");
    sMessage.Append(SaveAsFilePath);
    sMessage.Append("' border='0'>");

  }

  message.Text = sMessage.ToString();

 }

</script>

<html>
<body>
<form enctype="multipart/form-data" runat="server">

<h1>Working With Files</h1>

<asp:Table runat="server" width="800" align="left" >
 <asp:TableRow>
  <asp:TableCell>
   <b>Upload New Image</b>
  </asp:TableCell>
  <asp:TableCell>
   <input type="file" id="UP_FILE" runat="server"
    size="34" accept="image/*" />
  </asp:TableCell>
 </asp:TableRow>
 <asp:TableRow>
  <asp:TableCell>
    &nbsp;
  </asp:TableCell>
  <asp:TableCell>
   <asp:Button runat="server" width="239"
    OnClick="SubmitImage" text="Upload Image"/>
  </asp:TableCell>
 </asp:TableRow>
 <asp:TableRow>
  <asp:TableCell>
    &nbsp;
  </asp:TableCell>
  <asp:TableCell>
   <asp:Label runat="server" id="message"
    forecolor="red" maintainstate="false" />
  </asp:TableCell>
 </asp:TableRow>
</asp:Table>

</form>
</body>
</html>