<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>

<script language="c#" runat="server">

 void SubmitImage(Object sender, EventArgs e) {

  HttpPostedFile UpFile = UP_FILE.PostedFile;
  StringBuilder sMessage = new StringBuilder();

  if (UpFile.ContentLength == 0) {

   sMessage.Append("<b>* You must pick a file to upload</b>");

  } else {

   Stream StreamObject;
   int FileLength = UpFile.ContentLength;
   Byte[] FileByteArray = new Byte[FileLength];
   StreamObject = UpFile.InputStream;
   StreamObject.Read(FileByteArray,0,FileLength);

   SqlConnection sCon = new SqlConnection("server=localhost;uid=sa;pwd=;database=northwind");

   StringBuilder SqlCmd = new StringBuilder();
    SqlCmd.Append("INSERT INTO Images");
    SqlCmd.Append("(Image, ContentType, ImageDescription, ByteSize)");
    SqlCmd.Append("Values(@Image, @ContentType, @ImageDescription, @ByteSize)");

   SqlCommand SqlCmdObj = new SqlCommand(SqlCmd.ToString(),sCon);
   SqlParameter param;
    param = SqlCmdObj.Parameters.Add(new SqlParameter("@Image", SqlDbType.Image));
    param.Value = FileByteArray;
    param = SqlCmdObj.Parameters.Add(new SqlParameter("@ContentType", SqlDbType.VarChar,50));
    param.Value = UpFile.ContentType;
    param = SqlCmdObj.Parameters.Add(new SqlParameter("@ImageDescription", SqlDbType.VarChar,100));
    param.Value = ImageDescription.Text;
    param = SqlCmdObj.Parameters.Add(new SqlParameter("@ByteSize", SqlDbType.VarChar,100));
    param.Value = UpFile.ContentLength;

   sCon.Open();
   SqlCmdObj.ExecuteNonQuery();
   sCon.Close();

   sMessage.Append("<p><b>* Your image has been uploaded</b>");

  }
   message.Text = sMessage.ToString();
 }

</script>

<html>
<body>
<form enctype="multipart/form-data" runat="server">
<h1>File Upload Example to a Database</h1>
<asp:Table runat="server" width="700" align="left" >
 <asp:TableRow>
  <asp:TableCell>
   <b>Upload New Image</b>
  </asp:TableCell>
  <asp:TableCell>
   <input type="file" id="UP_FILE" runat="server" Style="Width:320" accept="text/*" />
  </asp:TableCell>
 </asp:TableRow>
 <asp:TableRow>
  <asp:TableCell>
   <b>Give a Description</b>
  </asp:TableCell>
  <asp:TableCell>
   <asp:TextBox runat="server" width="239" id="ImageDescription" MaintainState="false" />
  </asp:TableCell>
 </asp:TableRow>
 <asp:TableRow>
  <asp:TableCell>
   <asp:Label runat="server" id="message" forecolor="red" maintainstate="false" />
  </asp:TableCell>
  <asp:TableCell>
   <asp:Button runat="server" width="239" OnClick="SubmitImage" text="Upload Image"/>
  </asp:TableCell>
 </asp:TableRow>
</asp:Table>



</form>
</body>
</html>