<%@ Import Namespace="System.IO" %>
<script language="vb" runat="server">

 public sub SubmitImage(sender as Object, e as EventArgs)
  dim UpFile as HttpPostedFile = UP_FILE.PostedFile
  dim sMessage as new StringBuilder()

  if UpFile.ContentLength = nothing then

   sMessage.Append("You must pick a file to upload")

  else
   '//File Path
   dim FilePath as string = UpFile.FileName
    sMessage.Append("<b>File Path:</b>&nbsp;")
    sMessage.Append(FilePath)
    sMessage.Append("<br>")
   '//File Name
   dim FileName as string = Path.GetFileName(FilePath)
    sMessage.Append("<b>File Name:</b>&nbsp;")
    sMessage.Append(FileName)
    sMessage.Append("<br>")
   '//File Extension
   dim FileExtension as string = Path.GetExtension(FileName)
    sMessage.Append("<b>File Extension:</b>&nbsp;")
    sMessage.Append(FileExtension)
    sMessage.Append("<br>")
   '//Content Type
   dim ContentInfo as string = UpFile.ContentType
    sMessage.Append("<b>Content Type:</b>&nbsp;")
    sMessage.Append(ContentInfo)
    sMessage.Append("<br>")
   '//File Size
   dim FileSize as string = UpFile.ContentLength.ToString() & " Bytes"
    sMessage.Append("<b>File Size (in Bytes):</b>&nbsp;")
    sMessage.Append(FileSize)
    sMessage.Append("<br>")
   '//Save File Under New Name
   dim SaveAsFilePath as string
   '//If it is a gif save to images/jpeg directory
   if (FileExtension = ".jpg") then

    SaveAsFilePath = Server.MapPath("images/jpg") + "\WhateverWhenever" + FileExtension
    UpFile.SaveAs(SaveAsFilePath)

   '//If it is a jpg save to images/gif directory
   else if (FileExtension = ".gif") then

    SaveAsFilePath = Server.MapPath("images/gif") + "\WhateverWhenever" + FileExtension
    UpFile.SaveAs(SaveAsFilePath)

   else

    SaveAsFilePath = Server.MapPath("images") + "\WhateverWhenever" + FileExtension
    UpFile.SaveAs(SaveAsFilePath)

   end if

   '//New File path
    sMessage.Append("<b>SaveAs File Path:</b>&nbsp;")
    sMessage.Append(SaveAsFilePath)
    sMessage.Append("<br>")
   '//Show saved image in image control
    sMessage.Append("<b>Uploaded Image:</b>&nbsp;")
    sMessage.Append("<br>")
    sMessage.Append("<img src='")
    sMessage.Append(SaveAsFilePath)
    sMessage.Append("' border='0'>")

  end if

  message.Text = sMessage.ToString()

 end sub

</script>

<html>
<body>
<form enctype="multipart/form-data" runat="server">

<h1>Working With File Names</h1>

<asp:Table runat="server" width="800" align="left" >
 <asp:TableRow>
  <asp:TableCell>
   <b>Upload New Image</b>
  </asp:TableCell>
  <asp:TableCell>
   <input type="file" id="UP_FILE" runat="server"
    Size="34" accept="image/*" />
  </asp:TableCell>
 </asp:TableRow>
 <asp:TableRow>
  <asp:TableCell>
    &nbsp;
  </asp:TableCell>
  <asp:TableCell>
   <asp:Button runat="server" width="239"
    OnClick="SubmitImage" text="Upload Image"/>
  </asp:TableCell>
 </asp:TableRow>
 <asp:TableRow>
  <asp:TableCell>
    &nbsp;
  </asp:TableCell>
  <asp:TableCell>
   <asp:Label runat="server" id="message"
    forecolor="red" maintainstate="false" />
  </asp:TableCell>
 </asp:TableRow>
</asp:Table>

</form>
</body>
</html>