<script runat="server" language="C#">
 protected void Login_OnClick(Object sender, EventArgs e){
  if(FormsAuthentication.Authenticate(UserName.Text, Password.Text)){
   FormsAuthentication.RedirectFromLoginPage(UserName.Text, PersistCookie.Checked);
  }
 }

 protected void Signout_OnClick(Object sender, EventArgs e){
  FormsAuthentication.SignOut();
  HttpContext.Current.Response.Redirect("login.aspx");
 }
</script>
<html>
<head>
 <title>Programming Datadriven Web Apps - Chapter 15</title>
</head>
<body>
<form runat="server">
<H4>Account Logon</H4>
 <b>E-Mail:</b><br/>
 <asp:TextBox runat="server" ID="UserName" /><br/>
 <b>Password:</b><br/>
 <asp:TextBox runat="server" ID="Password" TextMode="Password" /><br/>
 <b>Remember Me</b><br/>
 <asp:CheckBox runat="server" ID="PersistCookie" /><br/>
 <asp:Button runat="server" ID="Login"
  Text="Login"
  OnClick="Login_OnClick" />

 <asp:Button runat="server" ID="Signout"
  Text="Sign-Out"
  OnClick="Signout_OnClick" />
</form>
</body>
</html>