<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="System.Text" %>
<%@ Import Namespace="System.Security.Principal" %>
<script runat="server" language="C#">
 protected void Login_OnClick(Object sender, EventArgs e){
  HttpContext context = HttpContext.Current;
  
  string SqlStmt = "SELECT [Roles].[RoleName] FROM [Users_to_Roles] " +
   "INNER JOIN [Users] ON [Users].[UserID] = [Users_to_Roles].[UserID] " +
   "INNER JOIN [Roles] ON [Users_to_Roles].[RoleID] = [Roles].[RoleID] " +
   "WHERE [Users].[Email] = '" + UserName.Text + "' AND " +
   "[Users].[Password] = '" + Password.Text + "'";
  
  SqlDataReader reader = null;
  SqlConnection con = new SqlConnection("server=localhost;database=samples;uid=sa;pwd=;");
  SqlCommand cmd = new SqlCommand(SqlStmt, con);

  try{
   con.Open();
   reader = cmd.ExecuteReader();

   if(reader.FieldCount > 0){
    StringBuilder cookieRoles = new StringBuilder();
    while(reader.Read()){
     cookieRoles.Append(reader["RoleName"].ToString());
     cookieRoles.Append(".");
    }      

     //Save the Roles in a client Cookie for future requests
     HttpCookie RoleCookie = new HttpCookie("Roles");
     RoleCookie.Value = cookieRoles.ToString();
     Response.Cookies.Add(RoleCookie);

     FormsAuthentication.RedirectFromLoginPage(UserName.Text, PersistCookie.Checked);

   }else{
    ErrorMsg.Text = "User not found, or bad credentials - try again!<br>";
   }
  }

  catch(Exception ex){
   ErrorMsg.Text = ex.ToString() + "<br>";
  }
 }

 protected void Signout_OnClick(Object sender, EventArgs e){
  HttpContext context = HttpContext.Current;
  FormsAuthentication.SignOut();
  context.Response.Cookies.Remove("Roles");
 }
</script>
<html>
<head>
 <title>Programming Datadriven Web Apps - Chapter 15</title>
</head>
<body>
<form runat="server">
<H4>Account Logon</H4>
 <asp:Label runat="server" id="ErrorMsg" />
 <b>E-Mail:</b><br/>
 <asp:TextBox runat="server" ID="UserName" /><br/>
 <b>Password:</b><br/>
 <asp:TextBox runat="server" ID="Password" TextMode="Password" /><br/>
 <b>Remember Me</b><br/>
 <asp:CheckBox runat="server" ID="PersistCookie" /><br/>
 <asp:Button runat="server" ID="Login"
  Text="Login"
  OnClick="Login_OnClick" />

 <asp:Button runat="server" ID="Signout"
  Text="Sign-Out"
  OnClick="Signout_OnClick" />
</form>
</body>
</html>