<%@ Import Namespace="System.Data" %>

<script runat="server" language="C#">
 protected void Login_OnClick(Object sender, EventArgs e){
  DataSet ds = new DataSet();
  ds.ReadXml(Server.MapPath("Users.xml"));
  
  int i;
  for(i=0; i < ds.Tables["User"].Rows.Count; i++){
   if(ds.Tables["User"].Rows[i]["Email"].ToString() == UserName.Text.Trim() && ds.Tables["User"].Rows[i]["Password"].ToString() == Password.Text.Trim()){
    FormsAuthentication.RedirectFromLoginPage(UserName.Text, PersistCookie.Checked);
   }
  }

  ErrorMsg.Text = "<p><b><font color='#CC3300'>User not found, or bad credentials - try again!</font></b></p>";
 }

 protected void Signout_OnClick(Object sender, EventArgs e){
  FormsAuthentication.SignOut();
  HttpContext.Current.Response.Redirect("login_xml.aspx");
 }
</script>
<html>
<head>
 <title>Programming Datadriven Web Apps - Chapter 15</title>
</head>
<body style="font:9pt Verdana, Arial, sans-serif;">
<form runat="server">
<H4>Account Logon Using an XML File</H4>
 <asp:Label runat="server" id="ErrorMsg" />
 <b>E-Mail:</b><br/>
 <asp:TextBox runat="server" ID="UserName" /><br/>
 <b>Password:</b><br/>
 <asp:TextBox runat="server" ID="Password" TextMode="Password" /><br/>
 <b>Remember Me</b><br/>
 <asp:CheckBox runat="server" ID="PersistCookie" /><br/>
 
 <asp:Button runat="server" ID="Login"
  Text="Login"
  OnClick="Login_OnClick" />

 <asp:Button runat="server" ID="Signout"
  Text="Sign-Out"
  OnClick="Signout_OnClick" />
</form>
</body>
</html>