<script runat="server" language="VB">
 Protected Sub Login_OnClick(Sender As Object, E As EventArgs)
  If FormsAuthentication.Authenticate(UserName.Text, Password.Text) Then
   FormsAuthentication.RedirectFromLoginPage(UserName.Text, PersistCookie.Checked)
  End If
 End Sub

 Protected Sub Signout_OnClick(Sender As Object, E As EventArgs)
  FormsAuthentication.SignOut()
  HttpContext.Current.Response.Redirect("login.aspx")
 End Sub
</script>
<html>
<head>
 <title>Programming Datadriven Web Apps - Chapter 15</title>
</head>
<body>
<form runat="server">
<H4>Account Logon</H4>
 <b>E-Mail:</b><br/>
 <asp:TextBox runat="server" ID="UserName" /><br/>
 <b>Password:</b><br/>
 <asp:TextBox runat="server" ID="Password" TextMode="Password" /><br/>
 <b>Remember Me</b><br/>
 <asp:CheckBox runat="server" ID="PersistCookie" /><br/>
 
 <asp:Button runat="server" ID="Login"
  Text="Login"
  OnClick="Login_OnClick" />

 <asp:Button runat="server" ID="Signout"
  Text="Sign-Out"
  OnClick="Signout_OnClick" />
</form>
</body>
</html>