<script language="c#" runat="server">

 void Page_Load(Object sender, EventArgs e) {

  DateTime LocalTime;
  ArrayList LocalArrayList;

  //'***Check if LocalTime is nothing***
  if (Cache.Get("TimeCache") == null) {

   LocalTime = DateTime.Now;
   Cache.Insert("TimeCache",LocalTime);
   lblCacheTime.Text = "<b>DateTime object put in the cache:</b>&nbsp;" + LocalTime.ToString("G");

  } else {

    LocalTime = (DateTime) Cache.Get("TimeCache");
    lblCacheTime.Text = "<b>DateTime object from the cache:</b>&nbsp;" + LocalTime.ToString("G");

  }
  //'***End***

  //'***Check if LocalArrayList is nothing***
  if (Cache.Get("ArrayListCache") == null) {

   int i;
   LocalArrayList= new ArrayList();
   for (i = 0; i < 11; i++) {
    LocalArrayList.Add("Item - " + i);
   }

   Cache.Insert("ArrayListCache", LocalArrayList);
   ArrayListContents.DataSource = LocalArrayList;
   ArrayListContents.DataBind();
   lblArrayListMessage.Text = "<b>ArrayList object put in the cache:</b>&nbsp;";

  } else {

   LocalArrayList = (ArrayList) Cache.Get("ArrayListCache");
   ArrayListContents.DataSource = LocalArrayList;
   ArrayListContents.DataBind();
   lblArrayListMessage.Text = "<b>ArrayList object from the cache:</b>&nbsp;";

  }
  //'***End***
 }
</script>
<html>
<body>
<asp:Label runat="server" id="lblCacheTime" />
<p>
<asp:Label runat="server" id="lblArrayListMessage" />
<asp:DropDownList id="ArrayListContents" runat="server" />
<p>
</body>
</html>
