<script language="vb" runat="server">

 public sub Page_Load(sender as Object, e as EventArgs)

  dim LocalTime as DateTime
  dim LocalArrayList as ArrayList

   '***Check if LocalTime is nothing***
  if Cache.Get("TimeCache") is nothing then

   LocalTime = DateTime.Now
   Cache.Insert("TimeCache",LocalTime)
   lblCacheTime.Text = "<b>DateTime object put in the cache:</b>&nbsp;" & LocalTime.ToString("G")

  else

   LocalTime = CType(Cache.Get("TimeCache"),DateTime)
   lblCacheTime.Text = "<b>DateTime object from the cache:</b>&nbsp;" & LocalTime.ToString("G")

  end if
  '***End***

  '***Check if LocalArrayList is nothing***
  if Cache.Get("ArrayListCache") is nothing then

   dim i as integer
   LocalArrayList= new ArrayList()
   for i = 0 to 10
    LocalArrayList.Add("Item - " & i)
   next i

   Cache.Insert("ArrayListCache", LocalArrayList)
   ArrayListContents.DataSource = LocalArrayList
   ArrayListContents.DataBind()
   lblArrayListMessage.Text = "<b>ArrayList object put in the cache:</b>&nbsp;"

  else

   LocalArrayList = CType(Cache.Get("ArrayListCache"),ArrayList)
   ArrayListContents.DataSource = LocalArrayList
   ArrayListContents.DataBind()
   lblArrayListMessage.Text = "<b>ArrayList object from the cache:</b>&nbsp;"

  end if
  '***End***

 end sub
</script>
<html>
<body>
<asp:Label runat="server" id="lblCacheTime" />
<p>
<asp:Label runat="server" id="lblArrayListMessage" />
<asp:DropDownList id="ArrayListContents" runat="server" />
<p>
</body>
</html>
